--- title: "Get started" slug: "get-started" updated: 2025-08-19T11:58:45Z published: 2025-08-19T11:58:45Z canonical: "docs.grassfish.com/get-started" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get started Follow this quick tutorial to make your first API call. In this tutorial, you’ll log a user into Grassfish IXM Aqua to retrieve their token and then request all visible IXM Aqua clients. ### Prerequisites For the tutorial, make sure you meet the following requirements: - You have a Grassfish IXM Aqua client. - You’ve requested an API user from your Grassfish contact person. ## Step 1: Retrieve the token Use the following request to log a user into Grassfish IXM Aqua and retrieve their token: 1. Replace the credentials in the request with your own credentials. The credentials you see here are for example purposes only. 2. Check the URL to ensure it’s the correct environment. 3. Send your request. ```http POST https://identity.eu01.grassfish.com/connect/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials &client_id=TestUser &client_secret=TestScret123 &scope=aquaconnect ``` The HTTP response should contain the `access_token`. It looks like this: ```json {  "access_token": "xxx",  "expires_in": 3600,  "token_type": "Bearer",  "scope": "aquaconnect" } ``` ## Step 2: Retrieve the clients Use the following request to get all visible IXM Aqua clients: 1. Copy the `access_token` from the response of your token request. 2. Paste the token directly after `Bearer` in this request. 3. Check the URL to ensure it’s the correct environment. 4. Send your request. ```http POST https://connect.eu01.grassfish.com/api/selectclients Authorization: Bearer xxx Content-Type: application/json {} ``` The HTTP response should contain information on all visible IXM Aqua clients. It looks like this: ```json {  "clients": [    {      "code": "clientCode",      "id": "clientId",      "name": "ClientName",      "settings": [        {          "id": "Setting01",          "value": "100",          "displayName": "Setting-01",          "fieldType": "String",          "description": "Setting 01",          "placeholder": "",          "inherit": false,          "isDefinitionEditable": true,          "hasOverrides": false        }      ],    }  ],  "totalCount": 1,  "success": {    "ok": true,    "notFound": true,    "correlationToken": "XXXXXXXX:00000001"  } } ``` #### ✨ Congratulations! You’ve made your first IXM Aqua API call. Check out the API reference to see what else you can do. An API call or API request is a message to a server that requests an API to provide a service or information.